Name:           simple-scan
Version:        40.7
Release:        1%{?dist}
Summary:        Simple scanning utility

License:        GPLv3+
URL:            https://launchpad.net/%{name}
Source0:        https://download.gnome.org/sources/%{name}/40/%{name}-%{version}.tar.xz

# itstool is not present on s390x
ExcludeArch:    s390x

BuildRequires:  meson
BuildRequires:  sane-backends-devel
BuildRequires:  gettext
BuildRequires:  itstool
BuildRequires:  /usr/bin/appstream-util
BuildRequires:  /usr/bin/desktop-file-validate
BuildRequires:  /usr/bin/valac
BuildRequires:  pkgconfig(colord)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(libwebpmux)
BuildRequires:  pkgconfig(packagekit-glib2) >= 1.1.5
BuildRequires:  pkgconfig(zlib)
BuildRequires:  cmake
BuildRequires:  libhandy-devel
Requires:       xdg-utils

%description
Simple Scan is an easy-to-use application, designed to let users connect their
scanner and quickly have the image/document in an appropriate format.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name} --with-man --with-gnome

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/%{name}.appdata.xml
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%files -f %{name}.lang
%doc NEWS README.md
%license COPYING
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.SimpleScan.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.SimpleScan-symbolic.svg
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.SimpleScan.gschema.xml

%changelog
* Sat May 17 2025 Dodji Seketeli <dodji@seketeli.net> - 40.7-1
- Update to the latest upstream version that builds in EPEL9
- Add build requires for cmake and libhandy-devel

* Mon Dec 04 2023 Dodji Seketeli <dodji@seketeli.net> - 3.36.2.1-1
- Import into EPEL9

* Wed May 06 2020 Kalev Lember <klember@redhat.com> - 3.36.2.1-1
- Update to 3.36.2.1
